# -*- rpm-spec -*-
# $Id: libnfsidmap,v 1.10 2006/08/15 09:43:40 me Exp $

%def_disable ldap
%def_disable static

Name: libnfsidmap
Version: 0.18
Release: alt1

Summary: Name to user id mapping library
License: BSD
Group: System/Libraries
Url: http://www.citi.umich.edu/projects/nfsv4/linux/

Source0: %name-%version.tar.bz2

%if_enabled ldap
BuildRequires: libldap-devel
%endif

%package devel
Summary: Name to user id mapping library and headers
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: Name to user id mapping static library
Group: Development/C
Requires: %name-devel = %version-%release
%endif

%description
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.

%description devel
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.
This package holds development part of %name library

%if_enabled static
%description devel-static
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.
This package contains static %name library
%endif

%prep
%setup -c

%build
autoreconf -fisv
%configure %{subst_enable ldap} %{subst_enable static}
%make_build

%install
%makeinstall
mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/*.so.* %buildroot/%_lib/
find %buildroot%_libdir -name \*.so|while read; do
	ln -snf ../../%_lib/`readlink $REPLY` %buildroot%_libdir/${REPLY##*/}
done
 
%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc COPYING README
/%_lib/%name.so.*

%files devel
%_libdir/%name.so
%_includedir/nfsidmap.h
%_pkgconfigdir/*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Sun Dec  3 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.18-alt1
- 0.18 released

* Tue Aug 15 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.17-alt1
- 0.17 released

* Mon Jul 17 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.16-alt1
- 0.16 released

* Fri Oct 14 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.11-alt1
- 0.11 released
- #7878 fixed

* Sat May  7 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10-alt2
- made umich_ldap mappings build conditional and disabled by default

* Sat Feb 19 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10-alt1
- Initial build.

